nxt.blockchain

## Interface Appendix

- All Known Subinterfaces:
    Attachment, ShufflingAttachment
  All Known Implementing Classes:
    AbstractShufflingAttachment, AccountInfoAttachment, AccountPropertyAttachment, AccountPropertyDeleteAttachment, AliasAssignmentAttachment, AliasBuyAttachment, AliasDeleteAttachment, AliasSellAttachment, Appendix.AbstractAppendix, AskOrderCancellationAttachment, AskOrderPlacementAttachment, AssetDeleteAttachment, AssetIncreaseAttachment, AssetIssuanceAttachment, AssetPropertyAttachment, AssetPropertyDeleteAttachment, AssetTransferAttachment, Attachment.AbstractAttachment, Attachment.EmptyAttachment, Attachment.PropertyDeleteAttachment, BidOrderCancellationAttachment, BidOrderPlacementAttachment, ChildBlockAttachment, ContractReferenceAttachment, ContractReferenceDeleteAttachment, CurrencyDeletionAttachment, CurrencyIssuanceAttachment, CurrencyMintingAttachment, CurrencyTransferAttachment, DelistingAttachment, DeliveryAttachment, DividendPaymentAttachment, EffectiveBalanceLeasingAttachment, EncryptedMessageAppendix, EncryptToSelfMessageAppendix, ExchangeAttachment, ExchangeBuyAttachment, ExchangeSellAttachment, FeedbackAttachment, ListingAttachment, MessageAppendix, MessageAttachment, OrderCancelAttachment, OrderCancelFxtAttachment, OrderCancellationAttachment, OrderIssueAttachment, OrderIssueFxtAttachment, OrderPlacementAttachment, PaymentAttachment, PaymentFxtAttachment, PhasingAppendix, PhasingVoteCastingAttachment, PollCreationAttachment, PriceChangeAttachment, PrunableEncryptedMessageAppendix, PrunablePlainMessageAppendix, PublicKeyAnnouncementAppendix, PublishExchangeOfferAttachment, PurchaseAttachment, QuantityChangeAttachment, RefundAttachment, ReserveClaimAttachment, ReserveIncreaseAttachment, SetPhasingAssetControlAttachment, SetPhasingOnlyAttachment, ShufflingCancellationAttachment, ShufflingCreationAttachment, ShufflingProcessingAttachment, ShufflingRecipientsAttachment, ShufflingRegistrationAttachment, ShufflingVerificationAttachment, TaggedDataAttachment, UnencryptedDeliveryAttachment, UnencryptedEncryptedMessageAppendix, UnencryptedEncryptToSelfMessageAppendix, UnencryptedPrunableEncryptedMessageAppendix, VoteCastingAttachment

      public interface Appendix

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Appendix.AbstractAppendix`
    `static interface` | `Appendix.Encryptable`
    `static interface` | `Appendix.Parser`
    `static interface` | `Appendix.Prunable`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAppendixType()`
    `Fee` | `getBaselineFee(Transaction transaction)`
    `int` | `getBaselineFeeHeight()`
    `Fee` | `getFee(Transaction transaction, int height)`
    `int` | `getFullSize()`
    `org.json.simple.JSONObject` | `getJSONObject()`
    `Fee` | `getNextFee(Transaction transaction)`
    `int` | `getNextFeeHeight()`
    `int` | `getSize()`
    `byte` | `getVersion()`
    `static boolean` | `hasAppendix(java.lang.String appendixName, org.json.simple.JSONObject attachmentData)`
    `boolean` | `isAllowed(Chain chain)`
    `boolean` | `isPhased(Transaction transaction)`
    `void` | `putBytes(java.nio.ByteBuffer buffer)`

- - ### Method Detail

    - #### getAppendixType

          int getAppendixType()

    - #### getSize

          int getSize()

    - #### getFullSize

          int getFullSize()

    - #### putBytes

          void putBytes(java.nio.ByteBuffer buffer)

    - #### getJSONObject

          org.json.simple.JSONObject getJSONObject()

    - #### getVersion

          byte getVersion()

    - #### getBaselineFeeHeight

          int getBaselineFeeHeight()

    - #### getBaselineFee

          Fee getBaselineFee(Transaction transaction)

    - #### getNextFeeHeight

          int getNextFeeHeight()

    - #### getNextFee

          Fee getNextFee(Transaction transaction)

    - #### getFee

          Fee getFee(Transaction transaction,
                     int height)

    - #### isPhased

          boolean isPhased(Transaction transaction)

    - #### isAllowed

          boolean isAllowed(Chain chain)

    - #### hasAppendix

          static boolean hasAppendix(java.lang.String appendixName,
                                     org.json.simple.JSONObject attachmentData)